namespace HealthcareManagerUI.Services.Http;

using System.Collections.Generic;
using System.Threading.Tasks;

public interface IRequestHttpService
{
    Task<T> GetAsync<T>(string uri, IDictionary<string, string> headers = null);
    Task<T> GetByIdAsync<T>(string uri, int id, IDictionary<string, string> headers = null);
    Task<T> PostAsync<T>(string uri, object data, IDictionary<string, string> headers = null);
    Task<T> PutAsync<T>(string uri, int id, object data, IDictionary<string, string> headers = null);
    Task DeleteAsync(string uri, int id, IDictionary<string, string> headers = null);
}
